
From: Dmitry Torokhov <dtor_core@ameritech.net>

ALPS needs to be reset for detection to work reliably when reconnecting.

Signed-off-by: Dmitry Torokhov <dtor@mail.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/mouse/alps.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/input/mouse/alps.c~alps-resume-fix drivers/input/mouse/alps.c
--- 25/drivers/input/mouse/alps.c~alps-resume-fix	2005-04-04 02:02:19.000000000 -0700
+++ 25-akpm/drivers/input/mouse/alps.c	2005-04-04 02:02:19.000000000 -0700
@@ -341,6 +341,8 @@ static int alps_reconnect(struct psmouse
 	unsigned char param[4];
 	int version;
 
+	psmouse_reset(psmouse);
+
 	if (!(priv->i = alps_get_model(psmouse, &version)))
 		return -1;
 
_
